### Method

# WebKit AuthenticationRequest is_for_proxy

since: 2.2

#### Declaration [src]

    gboolean
    webkit_authentication_request_is_for_proxy (
      WebKitAuthenticationRequest* request
    )

#### Description [src]

Determine whether the authentication challenge is associated with a proxy server.

Determine whether the authentication challenge is associated with a proxy server rather than an “origin” server.

Available since: 2.2

#### Return value

Type: `gboolean`

`TRUE` if authentication is for a proxy or `FALSE` otherwise.